Ubuntu

cheese malfunctioning with UVCVIDEO webcams (was cheese doesn't show v4l2 video output and disables output on gstreamer-based apps ran afterwards)

Reported by andrey i. mavlyanov on 2008-10-28
488
This bug affects 48 people
Affects Status Importance Assigned to Milestone
Cheese
Unknown
High
Release Notes for Ubuntu
Undecided
Unassigned
cheese (Ubuntu)
Medium
Unassigned
Declined for Jaunty by Loïc Minier
Intrepid
Undecided
Unassigned
gstreamer0.10 (Ubuntu)
Medium
Unassigned
Declined for Jaunty by Loïc Minier
Intrepid
Undecided
Unassigned
libv4l (Ubuntu)
Undecided
yanuar
Declined for Jaunty by Loïc Minier
Intrepid
Undecided
Unassigned
linux (Ubuntu)
Undecided
Stefan Bader
Declined for Jaunty by Loïc Minier
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: cheese

== Regression details ==
Discovered in version: 8.10RC
Last known good version: 8.04.1

gstreamer-based apps (gstreamer-properties, cheese) doesn't show the v4l2 video output.

cheese can configure webcam (Dell Inspiron integrated webcam) but it does not provide any output. after some time the apps hang.

vlc can play with the webcam (including sound).

the hardware:

[ 11.835433] uvcvideo: Found UVC 1.00 device Laptop Integrated Webcam (05a9:2640)
[ 11.835731] uvcvideo: Failed to query (135) UVC control 1 (unit 0) : -32 (exp. 26).
[ 11.893113] input: Laptop Integrated Webcam as /devices/pci0000:00/0000:00:1a.7/usb3/3-1/3-1:1.0/input/input11
[ 12.025138] usbcore: registered new interface driver uvcvideo

Steps to Reproduce it:

1.- Start ekiga, you should get local video
2.- Start gstreamer-properties, you should get video at the tab and video test button
3.- Start cheese and it would hang after a while
4.- Kill cheese, remove the uvcvideo (most probably this would happen with other modules, pwc, gspca) driver and reload it again
5.- Try again with ekiga or gstreamer-properties, it would work
6.- Start cheese, go to properties and configure to the lowest resolution available. Cheese would hang, kill it and it would start again.
Now you've got low resolution video

description: updated
description: updated
Robbie Williamson (robbiew) wrote :

Having the same issue with my Thinkpad X301 built-in camera. Both cheese and ekiga don't show video anymore (worked in Hardy). My hardware:

[30570.468003] Linux video capture interface: v2.00
[30570.495756] uvcvideo: Found UVC 1.00 device <unnamed> (17ef:4807)
[30570.499348] input: UVC Camera (17ef:4807) as /devices/pci0000:00/0000:00:1a.7/usb6/6-6/6-6:1.0/input/input12
[30570.508778] usbcore: registered new interface driver uvcvideo
[30570.508794] USB Video Class driver (v0.1.0)

Note: Skype works without problem.

Robbie Williamson (robbiew) wrote :

Found Debian bug related to same issue:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497924

description: updated
Robbie Williamson (robbiew) wrote :

Seems that 'cheese' is causing this, as if I unload and load the uvcvideo stack with:
  $ sudo modprobe -r uvcvideo
  $ sudo modprobe uvcvideo
both ekiga and luvcvideo work. If I start 'cheese', nothing works (except Skype) until I do another unload/load cycle.

Stefan Bader (smb) wrote :

This is a little more information taken from another uvcvideo based webcam. As far as i could find information at least camorama is needing the v4l library because it is using the v4l1 API and uvcvideo supports only v4l2. i don't know whether this is true for cheese as well.
The uvcvideo module was loaded with trace=255 and one run with camorama and one with cheese was done.

Stefan Bader (smb) wrote :

'gstreamer-properties' also works if 'cheese' is not run, or the uvcvideo module stack is recycled after 'cheese' is executed. Changing subject line to narrow the problem down to 'cheese'.

Marc Tardif (cr3) wrote :

The attached file shows the output of cheese -v. The interesting line might be:

v4l2src name=video_source device=/dev/video0 ! capsfilter name=capsfilter caps=video/x-raw-rgb,width=640,height=480,framerate=30/1;video/x-raw-yuv,width=640,height=480,framerate=30/1 ! identity

Marc Tardif (cr3) wrote :

Here is the lsbusb -v output on a Dell XPS M1330 where the webcam uses the uvcvideo kernel module, and where cheese doesn't work.

Marc Tardif (cr3) wrote :

And here is the lsusb -v output on a Toshiba Tecra M8 where the webcam also uses the uvcvideo kernel module, but where cheese works.

Marc Tardif (cr3) wrote :

From the above comment, it should be noted that the following gstreamer pipeline works just fine on laptops where cheese doesn't work:

  # gst-launch v4l2src name=video_source device=/dev/video0 ! capsfilter name=capsfilter 'caps=video/x-raw-rgb,width=640,height=480,framerate=30/1;video/x-raw-yuv,width=640,height=480,framerate=30/1' ! gconfvideosink

Note how "identity" was changed for "gconfvideosink", which doesn't quite reproduce the problem accurately.

And here is lsusb -v on the Dell 1525 where cheese does not work too

Johnny Levai (digistyl3) wrote :

Confirming this on a Dell Studio 15.
I think it worked in the beginning (Alpha 5 maybe?).

Changed in ubuntu-release-notes:
status: New → Confirmed
Eric O'Callaghan (eric1207) wrote :

Cheese also doesn't show any output (and tends to freeze when trying to close it) on my Dell Studio 15 now on Intrepid; used to work fine on Hardy.
xawtv shows output, but tends to freeze when I close it, skype works, and vlc works....

Eric O'Callaghan (eric1207) wrote :

I just realized if I open Cheese Preferences and change the resolution to either 160x120 or 176x144. Then I have to kill Cheese because it freezes when I change the resolution. After that, I ran 'sudo modprobe -r uvcvideo' and 'sudo modprobe uvcvideo' to reload the module as I saw mentioned elsewhere. Then using Cheese works fine other than it being a horrible resolution. Recording, taking photos, and effects even work.

zoomy942 (zoomy942) wrote :

I am confirming this on my Hp 2710p Tablet PC.

Andres Mujica (andres.mujica) wrote :

Hi all, i've just marked some dups from this bug with interest comments in there.

Also as is stated in bug #287888 and bug #288458 i'm adding linux kernel with uvcvideo module possibly related. (however i've tested with hardy kernel and the issue is presented there too..)

but as stated in bug #281771 this is more probably a gstreamer issue.

Changed in gstreamer0.10:
status: New → Confirmed
Changed in cheese:
status: New → Confirmed
Fabian A. Scherschel (fabsh) wrote :

Bug #292383 is a dupe of this. Dell XPS m1330 same symptoms as described here, going to 160x120 or 176x144 and manually shutting down and restarting works. Skype and Ekiga work without problems.

Andres Mujica (andres.mujica) wrote :

It seems that we've got a bug affecting cheese/gstreamer (bug #290506) and another one affecting uvcvideo module (bug #287888).

@SEAQ - Andrew Mujica

Are you sure the two bugs are not connected in any way? My luvcview works fine untile I start Cheese: it stops working only after starting Cheese. Skype, anyway, works fine everytime.

Andres Mujica (andres.mujica) wrote :

Oh, yes! i believe the both of them are related,

but it seems that there's different behaviours depending on the backend driver (uvcvideo, pwc and gspca). Also it seems that a lot of the troubles are related to gstreamer and v4l, and in the case of cheese it seems to be caused by cheese asking directly to hal instead of gong through gstreamer...

Filippo Argiolas (fargiolas) wrote :

Andres, cheese asking hal for v4l capable devices has absolutely no relation with this bug. Please don't blame us if you don't know what you are talking about.

We just use gstreamer to access the webcam device.
The only thing we do on our own (directly accessing the device) is a VIDIOC_QUERYCAP ioctl to see if the webcam is a v4l2 or a v4l one.
I really doubt that could cause such a behavior and if so that would be still an uvcvideo issue.
Anyway why don't you guys report bugs to the proper place? If you want cheese developers to be aware of cheese issues please report them to bugzilla.gnome.org

zoomy942 (zoomy942) wrote :

So would installing an older version of cheese be a temp solution? However, I noticed on that gnome bug report that a patch/fix was created but not released yet.

Andres Mujica (andres.mujica) wrote :

Filippo, thanks A LOT for taking time to look into this issue, i wasn't trying to blame you at all, i just was pointing out some of the possible causes for the bug at hand.

According to your observations made in the bug report generated by Fabian the problem is related to libv4l support in gstreamer and the ioctl made by cheese. If someone can test the patch published by Filippo it would be great!

According to bug #260918 a lot of users had tested with LD_PRELOAD v4l compat lib without success in cheese but had success with skype or ekiga. Also it seems that this bug, the bug #28788 and bug #282473 are related to the gstreamer + v4l issues and the respective kernel modules, as Cheese is the first application an Ubuntu user would choose to test or play with their webcams the most of the bugs would be filling against it.

I'll try tomorrow to put the dupes that had arrived in the meantime to the respective bugs.

Thanks !!!

description: updated
Andres Mujica (andres.mujica) wrote :

I've tested with hardy's cheese and it didn´t worked. Also i've tested with hardy kernel and intrepid cheese without success. I'll test with hardy's kernel and hardy´s cheese to check it out.

Fabian A. Scherschel (fabsh) wrote :

It seems like they are making some progress on the Gnome thread. However, I have now dug up an external gspca cam that is experiencing very similar issues. I also now have problems outside of cheese with both cameras which is weird since I haven't changed anything related to video on my system. I am beginning to think this might be a general gstreamer issue.

Fabian A. Scherschel (fabsh) wrote :

OK, after reading all those other reports I will help flagging my other report and additional stuff as dupes of bug #260918.

Connor Imes (rocket2dmn) wrote :

There is a lot of information available here through this bug and its duplicates. I am marking this bug as Triaged for Cheese and for gstreamer in Ubuntu so that developers can have a look. Thank you everybody for contributing, please don't stop if you get more information.

Changed in cheese:
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in gstreamer0.10:
importance: Undecided → Medium
status: Confirmed → Triaged
Filippo Argiolas (fargiolas) wrote :

Andres, as I said in bugzilla I was wrong about libv4l.. I don't know what made me believe that patch fixed the issue (it was late and I was really tired) but, unfortunately, it doesn't.

Also please forgive me if I appeared rude with you, I didn't want it, it's just that lately too much people says cheese doesn't work with intrepid but it's just that many changes went in webcam drivers with 2.27 so some regression went in too and we have no power on it.

Anyway it seems like it's not a cheese issue at all. I have the issue and can reproduce it only if I use the webcam at maximum resolution both with cheese and gst-launch.

gst-launch-0.10 v4l2src ! video/x-raw-yuv, width=640, height=480 ! xvimagesink
Works perfectly, it can be run many times with no issue.

gst-launch-0.10 v4l2src ! video/x-raw-yuv, width=1280, height=1024 ! xvimagesink
Locks and the webcam doesn't work anymore without reloading uvcvideo.

Could any of you confirm this? I'm going to report it to the uvcvideo developer.

iSmith (ismith-user) wrote :

I tried your first code and i can see the webcam video.

Filippo Argiolas (fargiolas) wrote :

iSmith, do you mean the first gst-launch command? what about the second one? does it lock you webcam?
Thanks

Fabian A. Scherschel (fabsh) wrote :

Filippo:

My internal webcam works perfectly with the first command. CLI output:

20:12 fabsh@serenity:~$ gst-launch-0.10 v4l2src ! video/x-raw-yuv, width=640, height=480 ! xvimagesink
Setting pipeline to PAUSED ...
Pipeline is live and does not need PREROLL ...
Setting pipeline to PLAYING ...
New clock: GstSystemClock
ERROR: from element /GstPipeline:pipeline0/GstXvImageSink:xvimagesink0: Output window was closed
Additional debug info:
xvimagesink.c(1231): gst_xvimagesink_handle_xevents (): /GstPipeline:pipeline0/GstXvImageSink:xvimagesink0
Execution ended after 6859525163 ns.
Setting pipeline to PAUSED ...
Setting pipeline to READY ...
Setting pipeline to NULL ...
FREEING pipeline ...

With the second one, nothing happens and this is the output:

20:13 fabsh@serenity:~$ gst-launch-0.10 v4l2src ! video/x-raw-yuv, width=1280, height=1024 ! xvimagesink
Setting pipeline to PAUSED ...
ERROR: Pipeline doesn't want to pause.
ERROR: from element /GstPipeline:pipeline0/GstV4l2Src:v4l2src0: Could not negotiate format
Additional debug info:
gstbasesrc.c(2426): gst_base_src_start (): /GstPipeline:pipeline0/GstV4l2Src:v4l2src0:
Check your filtered caps, if any
Setting pipeline to NULL ...
FREEING pipeline ...

Filippo Argiolas (fargiolas) wrote :

Fabian, probably your webcam doesn't support 1280x1024
Could you please check if gst-launch v4l2src ! xvimagesink locks the webcam?

Fabian A. Scherschel (fabsh) wrote :

Nope, works.

21:26 fabsh@serenity:~$ gst-launch-0.10 v4l2src ! xvimagesink
Setting pipeline to PAUSED ...
Pipeline is live and does not need PREROLL ...
Setting pipeline to PLAYING ...
New clock: GstSystemClock
ERROR: from element /GstPipeline:pipeline0/GstXvImageSink:xvimagesink0: Output window was closed
Additional debug info:
xvimagesink.c(1231): gst_xvimagesink_handle_xevents (): /GstPipeline:pipeline0/GstXvImageSink:xvimagesink0
Execution ended after 9566609372 ns.
Setting pipeline to PAUSED ...
Setting pipeline to READY ...
Setting pipeline to NULL ...
FREEING pipeline ...

zoomy942 (zoomy942) wrote :

This won't sound as technical as everything else but here is what I did to make it sorta work

install amsn, install cheese.
open cheese and set the res to 800x600
close cheese
open amsn
connect to someone and open the cam - after doign the wizard - it will work
then cheese should work fine too.

Additionally, once cheese is working-ish, if i go and change any effects, it will freeze and need to be "force quit"

Ciso (cisoprogressivo) wrote :

gst-launch-0.10 v4l2src ! video/x-raw-yuv, width=640, height=480 ! xvimagesink

works for me, but nothing changes after last updates.

Donjan Rodic (bryonak) wrote :

Confirming on a MacbookPro Santa Rosa on Intrepid.

If I don't start Cheese after booting, gstreamer-properties gives me a picture.
After starting Cheese, /dev/video0 is broken for gstreamer applications.

VLC works when specifying the device interface (/devices/pci0000:00/...) of the built-in cam.

Here's my thread on ubuntuforums.org about the issue:
http://ubuntuforums.org/showthread.php?p=61205845

Using Ubuntu-8.04.1, my webcam is working with skype. ekiga or aMSN, but it's not working with cheese. I have HPdv9000 laptop with a Ricoh builtin webcam:

$ lsusb
Bus 005 Device 003: ID 05ca:1810 Ricoh Co., Ltd
Bus 005 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 003: ID 04f3:0210 Elan Microelectronics Corp.
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

Filippo Argiolas (fargiolas) wrote :

dominko, that's a known issue with your webcam driver please take a look at
http://bugzilla.gnome.org/show_bug.cgi?id=531835 and http://bugs.mediati.org/r5u870/issue17

So, am I the only one able to reproduce it both with cheese and plain gstreamer?

Shawn vega (svega85-gmail) wrote :

no, I can also reproduce it with both cheese and gstreamer

Changed in linux:
status: New → Confirmed
assignee: nobody → ubuntu-kernel-team
Stefan Bader (smb) on 2008-11-13
Changed in linux:
assignee: ubuntu-kernel-team → stefan-bader-canonical
Changed in linux:
status: Confirmed → Fix Committed
Changed in cheese:
status: Triaged → Invalid
Changed in gstreamer0.10:
status: Triaged → Invalid
Stefan Bader (smb) on 2008-11-13
Changed in linux:
status: Fix Committed → In Progress
Stefan Bader (smb) on 2008-11-24
Changed in linux:
status: In Progress → Fix Committed
Loïc Minier (lool) on 2008-11-26
Changed in libv4l:
status: New → Fix Released
Martin Pitt (pitti) on 2008-12-21
Changed in cheese:
status: New → Invalid
Changed in gstreamer0.10:
status: New → Invalid
Changed in linux:
status: New → Fix Committed
Changed in libv4l:
status: New → Invalid
127 comments hidden view all 207 comments
Evan Prodromou (evanp) wrote :

Still not working for me with -11- kernel.

Evan, are you using a fresh install of intrepid or did you upgrade from
hardy? I'm just brainstorming here, but I've personally seen this happen on
three computers, and the only one that started working after a kernel update
was the one that had 8.10 installed from a formatted disk.

On Tue, Dec 30, 2008 at 8:11 PM, Evan Prodromou <email address hidden> wrote:

> Still not working for me with -11- kernel.
>
> --
> cheese malfunctioning with UVCVIDEO webcams (was cheese doesn't show v4l2
> video output and disables output on gstreamer-based apps ran afterwards)
> https://bugs.launchpad.net/bugs/290506
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Changed in cheese:
status: Unknown → Invalid
Evan Prodromou (evanp) wrote :

Updated from hardy. Not sure why that would matter, though.

Gustavo Azambuja (gazambuja) wrote :

Thanks iSmith,
Work for me too (Dell Inspiration 1525, Ubuntu 8.10)

Thanks!!

Paolo Sammicheli (xdatap1) wrote :

with the 22 Gen 2009 updates for

- Cheese 2.24.1-0ubuntu1
- libv4l-0 0.5.6-1~intrepid1

solved for me, in a Dell Inspiron 1520.

Now i have another problem, after shot a photo the entire screen it's completely white, but i think it's another bug. I will investigate further on it.

Paolo Sammicheli wrote:
> with the 22 Gen 2009 updates for
>
> - Cheese 2.24.1-0ubuntu1
> - libv4l-0 0.5.6-1~intrepid1
>
> solved for me, in a Dell Inspiron 1520.
>
> Now i have another problem, after shot a photo the entire screen it's
> completely white, but i think it's another bug. I will investigate
> further on it.
>
I wouldn't know, BUT I think it's a probem with

libv4l-0 0.5.6-1~intrepid1 package. In Hardy it works without problem. Just an idea.

For me, the bug in not solved, oh yes, is better the display of cheese but is not stop, the malfuntioning is already present.

________________________________
Da: Paolo Sammicheli <email address hidden>
A: <email address hidden>
Inviato: Giovedì 22 gennaio 2009, 2:00:18
Oggetto: [Bug 290506] Re: cheese malfunctioning with UVCVIDEO webcams (was cheese doesn't show v4l2 video output and disables output on gstreamer-based apps ran afterwards)

with the 22 Gen 2009 updates for

- Cheese 2..24.1-0ubuntu1
- libv4l-0 0.5.6-1~intrepid1

solved for me, in a Dell Inspiron 1520.

Now i have another problem, after shot a photo the entire screen it's
completely white, but i think it's another bug. I will investigate
further on it.

--
cheese malfunctioning with UVCVIDEO webcams (was cheese doesn't show v4l2 video output and disables output on gstreamer-based apps ran afterwards)
https://bugs.launchpad.net/bugs/290506
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Loïc Minier (lool) wrote :

libv4l-0 0.5.6-1~intrepid1 is obsolete, we're at 0.5.7 nowadays; I think people who still have 0.5.6 should upgrade ASAP.

Paolo Sammicheli (xdatap1) wrote :

Hi Loïc

libv4l-0 0.5.6-1~intrepid1 is available in repositories from just few hours. Who is at 0.5.7? Not intrepid repository afaik.

Loïc Minier (lool) wrote :

Paolo,
  libv4l-0 | 0.5.0-3~intrepid1 | intrepid | amd64, i386
  libv4l-0 | 0.5.3-1 | jaunty | amd64, i386
libv4l-0 | 0.5.7-1~intrepid1 | intrepid-updates | amd64, i386

You want to update to the latest version in intrepid-updates.

Paolo Sammicheli (xdatap1) wrote :

Sorry Loïc, you're right. (blush)

I made a mistake looking on my system. The libv4l I receveid in last updates it's the 0.5.7-1~intrepid1 version who take place of 0.5.6-1~intrepid1.

So, It's solved for me with the 22 Gen 2009 updates for

- Cheese 2..24.1-0ubuntu1
- libv4l-0 0.5.7-1~intrepid1

Greetings.

Launchpad Janitor (janitor) wrote :
Download full text (16.6 KiB)

This bug was fixed in the package linux - 2.6.27-11.25

---------------
linux (2.6.27-11.25) intrepid-proposed; urgency=low

  [ Jeff Layton ]

  * SAUCE: cifs: make sure we allocate enough storage for socket address
    - LP: #318565

linux (2.6.27-11.24) intrepid-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: don't use buggy _BCL/_BCM/_BQC for backlight control"
    - LP: #311716
  * SAUCE: acpi: Hack to enable video and vendor backlight implementations
    - LP: #311716
  * SAUCE: Force vendor backlight control on ThinkPad T61
    - LP: #311716

  [ Upstream Kernel Changes ]

  * Revert "thinkpad_acpi: fingers off backlight if video.ko is serving
    this functionality"
    - LP: #311716

linux (2.6.27-11.23) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: don't use buggy _BCL/_BCM/_BQC for backlight control
    - LP: #311716, #314119

  [ Jim Lieb ]

  * SAUCE: atl2: add tx bytes statistic
    - LP: #268622

  [ Upstream Kernel Changes ]

  * i915: Save/restore MCHBAR_RENDER_STANDBY on GM965/GM45
    - LP: #276943

linux (2.6.27-11.22) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * Revert "synchronise our linux-libc-dev with the kernel userspace
    headers". It was causing regressions.
    - LP: #300803

  [ Brian Rogers ]

  * SAUCE: Add support for MSI TV@nywhere Plus remote
    - LP: #281647

  [ Tim Gardner ]

  * SAUCE: Dell laptop digital mic does not work, PCI 1028:0271
    - LP: #309508

  [ Upstream Kernel Changes ]

  * Revert "sched_clock: prevent scd->clock from moving backwards"
  * AMD IOMMU: enable device isolation per default
  * bonding: fix miimon failure counter
  * x86 Fix VMI crash on boot in 2.6.28-rc8
  * libata: fix Seagate NCQ+FLUSH blacklist
  * e1000e: fix double release of mutex
  * can: Fix CAN_(EFF|RTR)_FLAG handling in can_filter
  * can: omit received RTR frames for single ID filter lists
  * iwlwifi: clean key table in iwl_clear_stations_table function
  * net: eliminate warning from NETIF_F_UFO on bridge
  * unicode table for cp437
  * console ASCII glyph 1:1 mapping
  * key: fix setkey(8) policy set breakage
  * firewire: fw-ohci: fix IOMMU resource exhaustion
  * ieee1394: add quirk fix for Freecom HDD
  * SUNRPC: Fix a performance regression in the RPC authentication code
  * b1isa: fix b1isa_exit() to really remove registered capi controllers
  * macfb: Do not overflow fb_fix_screeninfo.id
  * setup_per_zone_pages_min(): take zone->lock instead of zone->lru_lock
  * xilinx_hwicap: remove improper wording in license statement
  * Linux 2.6.27.10 except for "iwlagn: fix RX skb alignment". Besides causing
    an ABI bump it only applies to machines using > 4K page size (such as PowerPC).
    Pick this one up on the next ABI bumping upload.
    - LP: #309731

linux (2.6.27-11.21) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * synchronise our linux-libc-dev with the kernel userspace headers
    - LP: #300803

  [ Jim Lieb ]

  * SAUCE: [PATCH 1/1] USB: Unusual devs patch for Nokia 5610
    - LP: #287701

  [ Michael Krufky ]

  * sms1xxx: use new firmware for Hauppauge WinTV MiniStick
    - LP: #299671
  * sms1xxx: add autodetection support for Hauppa...

Changed in linux:
status: Fix Committed → Fix Released
use_linux (compu73rg33k) wrote :

Forgive my ignorance, but I only have 2.6.27-9 how do I upgrade to 2.6.27-11.25? I'm up-to-date with my repositories...

use_linux wrote:
> Forgive my ignorance, but I only have 2.6.27-9 how do I upgrade to
> 2.6.27-11.25? I'm up-to-date with my repositories...
>

It's in the proposed repository. Will be moved to -updates in a few days if no
regression is found.

You can still install it if you want, enabling proposed in
System>Administration>Software Sources. But be careful, packages in -proposed
are not well tested yet, so be careful with what you install from there
(including the kernel).

Colin Watson (cjwatson) wrote :

Actually, Emilio, the -11 kernel was just moved to -updates; however, it takes a couple of hours from the time you see the bug closing message to the time when it's available for installation, perhaps more if you're using a mirror that takes a while to sync. If in doubt, just try tomorrow.

I just got an update of the 2.6.27-11-generic kernel and my webcam is no
longer working. I don't think it can even detect the webcam anymore. Cheese
fails to load and skype cannot see my webcam now. This has happened only
recently when the update for version 11 of the kernel came up.

The initial version 2.6.27-9 kernel was not able to use the webcam on
cheese, but I could use skype. I was watching this thread that the fix has
come up in the new kernel. But then the new kernel is a big disappointment -
I'm sorry to say. It can't even recognize my webcam now.

Mine is a HP integrated webcam that comes in an HP laptop. It was working
perfectly when I used the Stefan Bader kernel patch in November 2008. After
that in a few weeks someone smart guy came up with a broken kernel 2.6.27-9
and after that this new kernel! It deserves a Nobel prize indeed!

Please help me. This kernel is not able to detect my webcam. What should I
do?

Balaji

On Wed, Jan 28, 2009 at 7:04 PM, Kees Cook <email address hidden> wrote:

> ** CVE removed: http://www.cve.mitre.org/cgi-
> bin/cvename.cgi?name=2008-5079
>
> ** CVE removed: http://www.cve.mitre.org/cgi-
> bin/cvename.cgi?name=2008-5300
>
> --
> cheese malfunctioning with UVCVIDEO webcams (was cheese doesn't show v4l2
> video output and disables output on gstreamer-based apps ran afterwards)
> https://bugs.launchpad.net/bugs/290506
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Sorry,

My bad. I figured the problem. I had disabled the AT SPI Registry at startup
in order to reduce startup time. But I think that was not allowing access to
the webcam. I'm sorry. This kernel is working perfectly for me.

I am using 2.6.27-11-generic kernel and both cheese and skype are working
perfectly. This is exactly how an OS should be - friendly! :) You know what,
if your hardware works, the OS is friendly, if it does not work, I don't
care what you say, the OS is not friendly if my hardware does not work. That
is how a layman will think.

If you want to put the burden of being compatible on the manufacturer, then
start issuing "Ubuntu compatible" logo stickers to those companies whose
products will work with Ubuntu.

I'm sorry for my last post, this kernel is a blessing indeed!

Thanks a lot,
Balaji

On Sun, Feb 1, 2009 at 1:03 AM, Balaji <email address hidden>wrote:

> I just got an update of the 2.6.27-11-generic kernel and my webcam is no
> longer working. I don't think it can even detect the webcam anymore. Cheese
> fails to load and skype cannot see my webcam now. This has happened only
> recently when the update for version 11 of the kernel came up.
>
> The initial version 2.6.27-9 kernel was not able to use the webcam on
> cheese, but I could use skype. I was watching this thread that the fix has
> come up in the new kernel. But then the new kernel is a big disappointment -
> I'm sorry to say. It can't even recognize my webcam now.
>
> Mine is a HP integrated webcam that comes in an HP laptop. It was working
> perfectly when I used the Stefan Bader kernel patch in November 2008. After
> that in a few weeks someone smart guy came up with a broken kernel 2.6.27-9
> and after that this new kernel! It deserves a Nobel prize indeed!
>
> Please help me. This kernel is not able to detect my webcam. What should I
> do?
>
> Balaji
>
>
>
> On Wed, Jan 28, 2009 at 7:04 PM, Kees Cook <email address hidden> wrote:
>
>> ** CVE removed: http://www.cve.mitre.org/cgi-
>> bin/cvename.cgi?name=2008-5079
>>
>> ** CVE removed: http://www.cve.mitre.org/cgi-
>> bin/cvename.cgi?name=2008-5300
>>
>> --
>> cheese malfunctioning with UVCVIDEO webcams (was cheese doesn't show v4l2
>> video output and disables output on gstreamer-based apps ran afterwards)
>> https://bugs.launchpad.net/bugs/290506
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>

Andres Mujica (andres.mujica) wrote :

@paolo, just in case you're still having the blank screen flash issue with cheese, check bug #297890

Connor Imes (rocket2dmn) wrote :

Robbie, you opened this task against Ubuntu release notes - can you please explain what the problem is there and what needs to be done to have it fixed? Otherwise, can we close the task? Thanks in advance.

Changed in ubuntu-release-notes:
status: Confirmed → Incomplete
Fabian A. Scherschel (fabsh) wrote :

Seems to me, this is fixed, no? Was there a regression again? Is anyone experiencing problems? Both my uvcvideo and gspca webcams work fine with cheese right now.

There is still one problem with cheese.

1. If you take a photo using cheese, it flashes the screen and makes it all
white and after that never returns back to normal display. I have to press
Alt+Ctrl+F1 and kill cheese manually. This is annoying. The video is
recording is fine, but the photo has regressed. This happens when you use no
effects. I did not have this problem when I used some other effects I cannot
say if all the effects fix this problem, but that is very queer. Taking
photos has become a pain now.

Balaji

On Sat, Feb 21, 2009 at 5:06 PM, Fabian A. Scherschel <email address hidden>wrote:

> Seems to me, this is fixed, no? Was there a regression again? Is anyone
> experiencing problems? Both my uvcvideo and gspca webcams work fine with
> cheese right now.
>
> --
> cheese malfunctioning with UVCVIDEO webcams (was cheese doesn't show v4l2
> video output and disables output on gstreamer-based apps ran afterwards)
> https://bugs.launchpad.net/bugs/290506
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Connor Imes (rocket2dmn) wrote :

I'll close this task against Ubuntu release notes. If there is indeed something that needs to be fixed here, please re-open it by changing its status back to new, and leave an explanation. Thank you!

Changed in ubuntu-release-notes:
status: Incomplete → Invalid

Yes, indeed there is something that needs a fix. You cannot take photos now
suddenly for some reason the flashed screen now remains white and does not
return to normal display. Please change the status back to new.

Balaji

On Sat, Feb 21, 2009 at 6:41 PM, Connor Imes <email address hidden> wrote:

> I'll close this task against Ubuntu release notes. If there is indeed
> something that needs to be fixed here, please re-open it by changing its
> status back to new, and leave an explanation. Thank you!
>
> ** Changed in: ubuntu-release-notes
> Status: Incomplete => Invalid
>
> --
> cheese malfunctioning with UVCVIDEO webcams (was cheese doesn't show v4l2
> video output and disables output on gstreamer-based apps ran afterwards)
> https://bugs.launchpad.net/bugs/290506
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Connor Imes (rocket2dmn) wrote :

Balaji, your response above my previous one is just appearing now, as is your post below. The task I closed was against Ubuntu release notes, which is not directly related to cheese acting up. What you are experiencing sounds like a different bug with cheese, so I would ask you to please open a new report for that problem. Feel free to post a link to it here. Thanks.

Paolo Sammicheli (xdatap1) wrote :

Balaji, the bug you're talking about it's the bug #297890. Go there and subscribe yourself on it.

This bug, related to acquisition problem, may be closed for me.

Sorry but for me the bug isn't resolved yet.
I have a problem using both ubuntu intrepid and jaunty, and I noticed this problem also using Fedora 10.
The webcam works fine with ubuntu 8.04 hardy heron.

My problem consist in the hanging of any program which try to use the webcam (i.e cheese, camorama), instead other programs like vlc simply do nothing.

Unfortunately I don't know which driver uses my webcam, but if somebody tells me how to give you some useful informations I would be happy to cooperate for fixing this problem.

P.S. Sorry for my English, I tryed to do my best

Fabian A. Scherschel (fabsh) wrote :

Is this a build-in webcam in a laptop or an external USB one? What are the make and model?

It's an external and cheap webcam. On it i can see only the "istar" word.

Using the application Device Manager I see this:
Model: ZC0305 WebCam
Vendor: Z-Star Microelectronics Corp.

Looking in properties tab I also see
info.linux.driver: zc3xx
usb.product_id: 12379 (0x305b)
usb.vendor_id: 2760 (0xac8)

I hope this informations may be useful for you

Sorry, i saw two opened bugs that seem to represent my own problem ( the vendor of the webcam is the same, and also the problem is similar) so I can say that I'm not afflicted from this bug, but from those two.

So for me these bug can be closed

Ops, I wanted to say this bug, not these

Sorry for the mistake

Fabian A. Scherschel (fabsh) wrote :

No worries. Thanks for clearing that up and good luck with the other bug! :)

Thank you

Charlie (baka-animaster) wrote :

Recently I got problem with Cheese, but not with Ekiga and gstreamer-properties. Then I re-compile uvcvideo by the help from this: http://www.linuxtv.org/wiki/index.php/How_to_Obtain,_Build_and_Install_V4L-DVB_Device_Drivers
And my Cheese works now. Hopefully it helps.

tidris (tidris769) wrote :

For those having problems with cheese and webcams, you might want to try running the following script on a terminal window:

while true; do echo > /dev/null; done

Doing that eliminates the hang ups and super slow frame rate problems I was having with cheese and my two different webcams. It appears cheese or the gstreamer/v4l2 layers underneath malfunction whenever the CPU frequency on my laptop is at its lowest level of 800MHz. When that script is running it makes the kernel hike the frequency to the max of 2.4GHz and cheese starts working perfectly. Stop the script and the frequency drops to 800MHz and cheese starts malfunctioning again.

The command "gst-launch v4l2src ! xvimagesink" behaves exactly like cheese on my laptop. The luvcview program also does the same thing even though it calls directly into v4l2 instead of going through gstreamer.

.

This bug still affects me in Ubuntu Karmic.

Compiling the latest driver from http://linuxtv.org/hg/~pinchartl/uvcvideo makes no difference.
Basically, every tool (skype, ekiga, luvcview, gst-launch v4l2src ! xvimagesink, ...) except Cheese works fine.

Cheese fails to detect the webcam due to extremely long probing times (~16 seconds on my machine for the first access after a freshly loaded uvcvideo module - either through a reboot, or by hand via rmmod/modprobe), and when the cam light finally comes up, cheese already has given up (happens after 10 seconds - this is hardcoded in cheese).
When that happens, the state of the webcam/uvcvideo seems to be corrupted somehow. Any access to the webcam with any tool, either cheese or somethig else, fails afterwards. The only fix then is to rmmod/modprobe uvcvideo again. After doing that, the webcam works correct - even in cheese ( ~2-4 seconds probing time ).
Raising the hardcoded timeout in src/cheese-webcam.c from 10 to 30 seconds seems to be a good workaround that works most of the time for me, but it is not a real solution to the problem at hand.

I tried to reproduce the bug with an Fedora 11 LiveCD, but there everything went fine. Probes to the cam never lasted longer than 2 seconds and the image was always displayed instantly after that. Accessing the cam with other tools after cheese 'initialized' the driver went fine too.

So is anyone else still having problems?

Okay, today i gave Fedora another try and Cheese also failed there. So it looks like this is a very unfortunate situation with my particular setup. My Webcam always needs a little longer to initialize when it is plugged in and no driver was previously loaded, but other applications have no problem with that.

It might be a firmware bug or just the the way my cam is probed by cheese. I don't know. However, it is an issue and i can always reproduce by the following steps:

- unplug the cam
- sudo rmmod uvcvideo
- plug the cam
- start cheese

'cheese -v' doesn't show any errors because the probe fails gracefully after the 10 second period.
uvcvideo trace logs don't show any errors because the driver is only waiting for the first data to arrive.

So everything works as long as the camera initialization isn't interrupted - which is the case with my webcam and it's ridiculous 16 second init time. :) I realize that there is still some error elsewhere - maybe in cheese, gstreamer or the driver - but with no error messages in either the cheese logs, or the uvcvideo traces i am at the moment unable to debug this any further. I will do some more research though.

Meanwhile, I would love to see the workaround in the attached patch ( 91_raise_timeout.patch ) included in cheese for karmic. It simply raises the probing timeout from 10 to 30 seconds. This patch should not affect working cameras. However, cameras with a probing time similar to mine ( >10sec. ) will have some more time to initialize and thus get detected correctly by cheese.

Jeremy Foshee (jeremyfoshee) wrote :

Setting Fix Released for the linux (Ubuntu) package as that was overlooked.

-JFo

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in cheese:
importance: Unknown → High
status: Invalid → Unknown
darkraven (jasminr) wrote :

Can someone update the status on this?

gst-launch v4l2src ! xvimagesink
 and derivatives like it work.

Its cheese that hangs.

I have a gateway LT21 with Chicony (internal) Electronics webcam.

Noticed that 640x480 is maximum input, 320x240 is standard setting.(well in windows 7 anyway, which has been removed)

Maybe cheese sets this too high on startup??
I noticed if I load cheese, reset the input size, then reload uvc module as stated above I can capture video.

There is noticeable lagtime, however, on video capture. I get a black screen when I hit the capture button, but the video does indeed capture and cheese doesnt lock up when I stop the capture as it did before.

I have the uvcvideo module now loaded on startup. Thanks for the hints.

John Baptist (jepst79) wrote :

This is still a problem in up-to-date Lucid. Cheese will not record video with my UNCVIDEO webcam. Is there a version of Ubuntu where this works?

yanuar (dreamerthe12) on 2011-11-09
Changed in libv4l (Ubuntu):
assignee: nobody → yanuar (dreamerthe12)
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu laptop testing tracker.

A list of all reports related to this bug can be found here:
http://laptop.qa.ubuntu.com/qatracker/reports/bugs/290506

tags: added: laptop-testing
Displaying first 40 and last 40 comments. View all 207 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.